Bug 630056 (CVE-2010-2765) - CVE-2010-2765 Mozilla Frameset integer overflow vulnerability (MFSA 2010-50)
Summary: CVE-2010-2765 Mozilla Frameset integer overflow vulnerability (MFSA 2010-50)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2765
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100907,reported=20100901,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-03 15:42 UTC by Josh Bressers
Modified: 2019-06-08 13:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:35:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0680 normal SHIPPED_LIVE Critical: seamonkey security update 2010-09-08 01:09:16 UTC
Red Hat Product Errata RHSA-2010:0681 normal SHIPPED_LIVE Critical: firefox security update 2010-09-08 00:33:03 UTC
Red Hat Product Errata RHSA-2010:0682 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-09-08 00:06:28 UTC

Description Josh Bressers 2010-09-03 15:42:48 UTC
Security researcher Chris Rohlf of Matasano Security reported that the
implementation of the HTML frameset element contained an integer overflow
vulnerability. The code responsible for parsing the frameset columns used
an 8-byte counter for the column numbers, so when a very large number of
columns was passed in the counter would overflow. When this counter was
subsequently used to allocate memory for the frameset, the memory buffer
would be too small, potentially resulting in a heap buffer overflow and
execution of attacker-controlled memory.

Comment 1 Vincent Danen 2010-09-07 23:18:00 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-50.html

Comment 2 errata-xmlrpc 2010-09-08 00:06:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0682 https://rhn.redhat.com/errata/RHSA-2010-0682.html

Comment 3 errata-xmlrpc 2010-09-08 00:33:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html

Comment 4 errata-xmlrpc 2010-09-08 01:10:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0680 https://rhn.redhat.com/errata/RHSA-2010-0680.html


Note You need to log in before you can comment on or make changes to this bug.